<?php

declare(strict_types=1);

namespace PhpWA\AppState;

use PhpWA\Runtime\Deadline;

interface AppStateSynchronizerInterface
{
    public function sync(string $name, Deadline $deadline, bool $forceSnapshot = false): AppStateSyncResult;
}
